## ros-melodic-microstrain-inertial-msgs 3.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(microstrain_inertial_msgs)

find_package(catkin REQUIRED COMPONENTS
  message_generation
  std_msgs
  geometry_msgs
)

# Locate the common code and messages
set(COMMON_NAME "microstrain_inertial_msgs_common")
set(COMMON_DIR "${${PROJECT_NAME}_SOURCE_DIR}/${COMMON_NAME}")

# Make sure that the submodule has been properly initialized
if(NOT EXISTS "${COMMON_DIR}/msg")
  message(STATUS "Initializing ${COMMON_DIR} submodule. This should only happen once.")

  # Make sure we can find the git executable
  find_package(Git)
  if(NOT Git_FOUND)
    message(FATAL_ERROR "Unable to initialize submodule because we could not find the git executable. Please clone this repo using 'git clone --recursive'")
  endif()

  # Initialize and update the submodule
  execute_process(
    WORKING_DIRECTORY "${${PROJECT_NAME}_SOURCE_DIR}"
    COMMAND ${CMAKE_COMMAND} -E env ${GIT_EXECUTABLE} submodule update --recursive --init
  )
endif()

# Generate Service Files
set(SRV_DIR "${COMMON_DIR}/srv")
FILE(GLOB SRV_FILES RELATIVE "${SRV_DIR}"
    "${SRV_DIR}/*.srv")
add_service_files(
  DIRECTORY ${SRV_DIR}
  FILES ${SRV_FILES}
)

# Generate Message Files
set(MSG_DIR "${COMMON_DIR}/msg")
FILE(GLOB MSG_FILES RELATIVE "${MSG_DIR}"
    "${MSG_DIR}/*.msg")
add_message_files(
  DIRECTORY ${MSG_DIR}
  FILES ${MSG_FILES}
)
generate_messages(
  DEPENDENCIES
  std_msgs
  geometry_msgs
)

catkin_package(CATKIN_DEPENDS
  message_runtime
  std_msgs
  geometry_msgs
)

=== debian/changelog ===
ros-melodic-microstrain-inertial-msgs (3.0.1-2bionic) bionic; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Fri, 10 Feb 2023 05:00:00 -0000

ros-melodic-microstrain-inertial-msgs (3.0.0-2bionic) bionic; urgency=high

  * Adds IMU overrange status publishers for ROS (#207 <https://github.com/LORD-MicroStrain/microstrain_inertial/issues/207>)
    * Adds IMU overrange status publishers for ROS
  * Adds RF error detection publishers for ROS (#206 <https://github.com/LORD-MicroStrain/microstrain_inertial/issues/206>)
    * Adds RF error detection to ROS
  * Adds SBAS info publishers for ROS (#204 <https://github.com/LORD-MicroStrain/microstrain_inertial/issues/204>)
    * Adds SBAS info publishers for ROS
    * Updates submodule to main
  * Contributors: Rob

 -- Rob Fisher <rob.fisher@parker.com>  Wed, 11 Jan 2023 05:00:00 -0000

ros-melodic-microstrain-inertial-msgs (2.7.1-2bionic) bionic; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Wed, 09 Nov 2022 05:00:00 -0000

ros-melodic-microstrain-inertial-msgs (2.7.0-2bionic) bionic; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Fri, 23 Sep 2022 04:00:00 -0000

ros-melodic-microstrain-inertial-msgs (2.6.0-2bionic) bionic; urgency=high

  * Converts message definitions to use unix line endings (#138 <https://github.com/LORD-MicroStrain/microstrain_inertial/issues/138>)
  * Contributors: Lucas Walter

 -- Rob Fisher <rob.fisher@parker.com>  Wed, 25 May 2022 04:00:00 -0000

ros-melodic-microstrain-inertial-msgs (2.5.1-2bionic) bionic; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Tue, 15 Feb 2022 05:00:00 -0000

ros-melodic-microstrain-inertial-msgs (2.5.0-2bionic) bionic; urgency=high

  * Added RTK v2 support
  * Fixed submodule initialization
  * Contributors: dacuster, robbiefish

 -- Rob Fisher <rob.fisher@parker.com>  Thu, 27 Jan 2022 05:00:00 -0000

ros-melodic-microstrain-inertial-msgs (2.4.1-2bionic) bionic; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Thu, 06 Jan 2022 05:00:00 -0000

ros-melodic-microstrain-inertial-msgs (2.4.0-2bionic) bionic; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Wed, 05 Jan 2022 05:00:00 -0000

ros-melodic-microstrain-inertial-msgs (2.3.0-2bionic) bionic; urgency=high

  * BREAKING: Updates DeviceReport.srv to return the device report instead of just printing it
  * Adds Fix Info message
  * Adds Aiding Measurement Summary message
  * Updates license files to be accurate for each package
  * Contributors: robbiefish

 -- Rob Fisher <rob.fisher@parker.com>  Wed, 22 Dec 2021 05:00:00 -0000

ros-melodic-microstrain-inertial-msgs (2.2.1-2bionic) bionic; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Thu, 09 Dec 2021 05:00:00 -0000

ros-melodic-microstrain-inertial-msgs (2.2.0-2bionic) bionic; urgency=high

  * Adds set filter speed lever arm service definition to allow users to configure Measurement Speed Lever Arm at runtime with a service call
  * Adds Input Speed Measurement message
  * Contributors: robbiefish

 -- Rob Fisher <rob.fisher@parker.com>  Fri, 03 Dec 2021 05:00:00 -0000

ros-melodic-microstrain-inertial-msgs (2.1.0-2bionic) bionic; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Fri, 12 Nov 2021 05:00:00 -0000

ros-melodic-microstrain-inertial-msgs (2.0.5-2bionic) bionic; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Tue, 19 Oct 2021 04:00:00 -0000

ros-melodic-microstrain-inertial-msgs (2.0.4-2bionic) bionic; urgency=high

  * Upgrade CMake version and removes unused include in examples
  * Contributors: robbiefish

 -- Rob Fisher <rob.fisher@parker.com>  Wed, 08 Sep 2021 04:00:00 -0000

ros-melodic-microstrain-inertial-msgs (2.0.3-2bionic) bionic; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Wed, 08 Sep 2021 04:00:00 -0000

ros-melodic-microstrain-inertial-msgs (2.0.2-2bionic) bionic; urgency=high

  * Fixes cmake warnings and updates maintainers
  * Contributors: robbiefish

 -- Rob Fisher <rob.fisher@parker.com>  Mon, 30 Aug 2021 04:00:00 -0000

ros-melodic-microstrain-inertial-msgs (2.0.1-2bionic) bionic; urgency=high

  * Moves submodules to accomodate ROS build farm
  * Contributors: Rob Fisher

 -- Rob Fisher <rob.fisher@parker.com>  Tue, 24 Aug 2021 04:00:00 -0000

ros-melodic-microstrain-inertial-msgs (2.0.0-2bionic) bionic; urgency=high

  * Moves service messages to msgs package
  * Contributors: Rob Fisher

 -- Rob Fisher <rob.fisher@parker.com>  Tue, 24 Aug 2021 04:00:00 -0000

ros-melodic-microstrain-inertial-msgs (1.1.4-2bionic) bionic; urgency=high

  * Please see changelog
  * Added aiding measurement summary for each GNSS (GQ7 only)
    Added MSCL version output when node starts
  * Merge pull request #54 <https://github.com/LORD-MicroStrain/ROS-MSCL/issues/54> from civerachb-cpr/master
    Explicitly name the mscl_msgs package
  * Explicitly name the mscl_msgs package instead of using the directory name; the dir name isn't reliable on some build-farms that extract each package into a separate working directory
  * Contributors: Chris Iverach-Brereton, Nathan Miller, nathanmillerparker

 -- Rob Fisher <rob.fisher@parker.com>  Fri, 30 Jul 2021 04:00:00 -0000

ros-melodic-microstrain-inertial-msgs (1.1.3-2bionic) bionic; urgency=high

  * Removed duplicate Filter LLH Pos entry in message format
    Preparing for release on Bloom
  * 
    
      * Driver modified to support MSCL version 61.1.6
      * Fixed missing boolean set for RTK status message publishing
    
  * Merge pull request #34 <https://github.com/LORD-MicroStrain/ROS-MSCL/issues/34> from CaptKrasno/msg
    Moved Messages to Separate Package and renamed them to match ros convention
  * Separated Messages into a second package and changed naming to match ros convention
  * Contributors: Kristopher Krasnosky, Nathan Miller, nathanmillerparker

 -- Rob Fisher <rob.fisher@parker.com>  Wed, 21 Apr 2021 04:00:00 -0000

ros-melodic-microstrain-inertial-msgs (0.0.4-2bionic) bionic; urgency=high





=== debian/control ===
Source: ros-melodic-microstrain-inertial-msgs
Section: misc
Priority: optional
Maintainer: Rob Fisher <rob.fisher@parker.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-geometry-msgs, ros-melodic-message-generation, ros-melodic-std-msgs
Homepage: https://github.com/LORD-MicroStrain/microstrain_inertial
Standards-Version: 3.9.2

Package: ros-melodic-microstrain-inertial-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-geometry-msgs, ros-melodic-message-runtime, ros-melodic-std-msgs
Description: A package that contains ROS message corresponding to microstrain message types.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-microstrain-inertial-msgs//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
